GWT 2.7.0

## com.google.gwt.resources.gss
Class CreateRuntimeConditionalNodes

    java.lang.Object
      com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor
          com.google.gwt.resources.gss.CreateRuntimeConditionalNodes

All Implemented Interfaces:
  com.google.gwt.thirdparty.common.css.compiler.ast.AtRuleHandler, com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass, com.google.gwt.thirdparty.common.css.compiler.ast.CssTreeVisitor

    public class CreateRuntimeConditionalNodes

extends com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor
implements com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass

Visitor that handles conditional nodes with conditions that need to be evaluated at runtime.

The corresponding GSS handled by this pass looks like:

###

###

###

    Constructor Summary

    CreateRuntimeConditionalNodes(com.google.gwt.thirdparty.common.css.compiler.ast.MutatingVisitController visitController)

    Method Summary

     boolean
    enterConditionalBlock(com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalBlockNode block)

     void
    runPass()

    Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor

    enterArgumentNode, enterAttributeSelector, enterBlock, enterClassSelector, enterCombinator, enterComponent, enterCompositeValueNode, enterCompositeValueNodeOperator, enterConditionalRule, enterDeclaration, enterDeclarationBlock, enterDefinition, enterFontFace, enterFunctionNode, enterIdSelector, enterImportBlock, enterImportRule, enterKey, enterKeyBlock, enterKeyframeRuleset, enterKeyframesRule, enterMediaRule, enterMediaTypeListDelimiter, enterMixin, enterMixinDefinition, enterPageRule, enterPageSelector, enterPropertyValue, enterProvideNode, enterPseudoClass, enterPseudoElement, enterRequireNode, enterRuleset, enterSelector, enterSelectorBlock, enterTree, enterUnknownAtRule, enterValueNode, leaveArgumentNode, leaveAttributeSelector, leaveBlock, leaveClassSelector, leaveCombinator, leaveComponent, leaveCompositeValueNode, leaveCompositeValueNodeOperator, leaveConditionalBlock, leaveConditionalRule, leaveDeclaration, leaveDeclarationBlock, leaveDefinition, leaveFontFace, leaveFunctionNode, leaveIdSelector, leaveImportBlock, leaveImportRule, leaveKey, leaveKeyBlock, leaveKeyframeRuleset, leaveKeyframesRule, leaveMediaRule, leaveMediaTypeListDelimiter, leaveMixin, leaveMixinDefinition, leavePageRule, leavePageSelector, leavePropertyValue, leaveProvideNode, leavePseudoClass, leavePseudoElement, leaveRequireNode, leaveRuleset, leaveSelector, leaveSelectorBlock, leaveTree, leaveUnknownAtRule, leaveValueNode, visit

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    CreateRuntimeConditionalNodes

    public CreateRuntimeConditionalNodes(com.google.gwt.thirdparty.common.css.compiler.ast.MutatingVisitController visitController)

    Method Detail

    enterConditionalBlock

    public boolean enterConditionalBlock(com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalBlockNode block)

    Specified by:enterConditionalBlock in interface com.google.gwt.thirdparty.common.css.compiler.ast.CssTreeVisitorOverrides:enterConditionalBlock in class com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor

    runPass

    public void runPass()

    Specified by:runPass in interface com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass

    GWT 2.7.0